mod utils;
mod solutions;

use std::error::Error;

use solutions::{
    dayxx::Solution, 
    day01
};

use crate::utils::get_input;

fn main() -> Result<(), Box<dyn Error>>{
    // Day 1
    let day01 = day01::Day01{};
    println!("Day01 Part1 Test: {}", day01.part1(get_input(day01.get_day(), utils::InputType::Test)?.as_mut())?);
    println!("Day01 Part1 Result: {}", day01.part1(get_input(day01.get_day(), utils::InputType::Actual)?.as_mut())?);

    println!("Day01 Part2 Test: {}", day01.part2(get_input(day01.get_day(), utils::InputType::Test)?.as_mut())?);
    println!("Day01 Part2 Result: {}", day01.part2(get_input(day01.get_day(), utils::InputType::Actual)?.as_mut())?);

    Ok(())
}
